Problemas ao baixar a lista de pacotes devido a um erro de “incompatibilidade de soma de hash”

324

Quando procuro por atualizações, recebo um erro "Falha ao fazer o download de informações do repositório".

Isso é o que aparece em detalhes:

W: Failed to fetch gzip:/var/lib/apt/lists/partial/us.archive.ubuntu.com_ubuntu_dists_natty_main_source_Sources  Hash Sum mismatch, 
E: Some index files failed to download. They have been ignored, or old ones used instead.
    
por Rob 09.05.2011 / 22:55
fonte

16 respostas

389

Basta remover todo o conteúdo do diretório /var/lib/apt/lists :

sudo rm -rf /var/lib/apt/lists/*

execute:

sudo apt-get update
    
por Lorem 09.05.2011 / 23:52
fonte
121

Esse é um problema conhecido e é exacerbado para clientes por trás de caches de proxy. Algumas grandes organizações e ISPs (especialmente em partes remotas do mundo) têm caches transparentes dos quais você pode não estar ciente.

A questão fundamental é que o formato do repositório apt está sujeito a condições de corrida quando um espelho é atualizado. Esse problema afeta particularmente os repositórios que mudam rapidamente, como o release de desenvolvimento.

Você pode acompanhar o progresso da correção para isso em este bug (por favor marque-se como "afeta-me também" em o bug) e este blueprint . Mas esteja ciente de que é um problema complexo e pode levar mais de um lançamento para resolver.

    
por Robie Basak 06.07.2012 / 00:21
fonte
76

A maneira mais fácil de corrigir isso é:

sudo apt-get clean
sudo apt-get update
    
por realhu 22.05.2015 / 14:25
fonte
41

Eu ainda tive o problema depois de remover os diretórios e fazer sudo apt-get update .
Apenas o passo seguinte resolveu o meu problema:

sudo sed -i -re 's/\w+\.archive\.ubuntu\.com/archive.ubuntu.com/g' /etc/apt/sources.list

Eu não sei se esse é o jeito certo de consertar isso ...
Eu encontrei a solução aqui .

    
por m13r 27.08.2014 / 21:55
fonte
23

A única solução que funcionou para mim é de unix.stackexchange .

Isso acontece porque há um bug conhecido nele e a solução é atualizar com um método de compactação diferente, para que os arquivos sejam carregados corretamente e a soma de verificação seja bem-sucedida.

Experimente:

sudo rm -rf /var/lib/apt/lists/partial
sudo apt-get update -o Acquire::CompressionTypes::Order::=gz

(obrigado @brook_hong dos comentários para a parte rm)

    
por auval 31.05.2016 / 16:13
fonte
22

Isso pode acontecer quando o espelho não está atualizado ou os erros de exibição não estão sobrecarregados. Você pode esperar um pouco e tentar novamente ou alternar para outro espelho:

fonte
5

Se você estiver por trás de um proxy, crie um arquivo chamado 99fixbadproxy in /etc/apt/apt.conf.d/ :

sudo gedit /etc/apt/apt.conf.d/99fixbadproxy

Cole isso em 99fixbadproxy e salve-o:

Acquire::http::Pipeline-Depth 0;
Acquire::http::No-Cache true;
Acquire::BrokenProxy    true;

Agora, execute o comando de atualização:

sudo apt-get update
    
por Musaffa 08.08.2016 / 23:37
fonte
4

Os seguintes comandos podem resolver o seu problema.

sudo rm -R /var/lib/apt/lists/partial/*

e depois

sudo apt-get update && sudo apt-get upgrade

isso resolverá seu problema. Eu também enfrentei o mesmo problema, mas os comandos acima resolveram o problema para mim. Então experimente.

Referência da solução

    
por Shaharia Azam 17.12.2013 / 22:47
fonte
3

Eu tive exatamente o mesmo problema e todas as soluções fornecidas usando o terminal não ajudaram.

Para mim, foi entrando em:

Configurações → Software e amp; Atualizações → Software do Ubuntu: Download de: Change Local to Main Server .

Ele começa a recarregar os repositórios e atualizar. Quando eu entro:

sudo apt-get update

Depois disso, não houve problema algum. Estou usando o Ubuntu 14.04.4 LTS.

    
por habibun 28.07.2016 / 11:56
fonte
1

Não sei se é uma solução adequada ou não, mas fiz o seguinte e a mensagem de erro desapareceu:

Depois de digitar sudo apt-get update no terminal, ele me dá os nomes de alguns pacotes que causam o erro, então eu fiz o seguinte:

Gerenciador de atualização (atualização de software) → Configuração → Configurar fontes de software → Outro software [guia] → Desmarque os pacotes

Após pressionar a tecla "fechar", o gerenciador de atualização começou a verificar a atualização automaticamente e eu vi esta mensagem: "o software neste computador está atualizado. Última verificação feita há 2 segundos."

Kubuntu 12.04

    
por Hassan.J. 31.03.2014 / 00:03
fonte
1

Eu tive exatamente o mesmo problema e todas as soluções fornecidas usando o terminal não ajudaram.

Para mim, foi entrando em:

Configurações → Software e amp; Atualizações → Outro software: desmarque todas as caixas e pressione Fechar.

Ele começa a recarregar os repositórios e atualizar. Quando eu entro:

sudo apt-get update

Depois disso, não houve problema algum. Estou usando o Ubuntu 13.10.

    
por Paul London 12.07.2014 / 16:30
fonte
1

Eu tive um problema semelhante e resolvi o problema abrindo o aplicativo "Software e atualizações" e, na guia "Ubuntu Software", alterando o valor de "Download de" (nessa lista suspensa, tente selecionar, por exemplo, o servidor principal, se não foi assim).

    
por Andrea Pravato 05.08.2014 / 21:59
fonte
0

Como segue @ robie-basak, usei apt-cacher-ng como cache de espelhamento. Então eu removo o proxy e o problema resolvido.

Eu removi o proxy no arquivo /etc/apt/apt.conf.d/01proxy :

#Acquire::http::Proxy "http://xxx.xx.xx.xx:4321";

Então precisa:

sudo rm -rf /var/lib/apt/lists/*
sudo aptitude update
sudo aptitude upgrade
    
por shgnInc 02.03.2016 / 07:14
fonte
0

Eu tinha acabado de instalar o Ubuntu 17.10 e estava recebendo o mesmo erro de Hash Sum Mismatch para algum repositório. Eu fui para Software e Checked Source como mostrado abaixo e não houve problemas para baixar o repositório do terminal.

    
por Rahul Soshte 10.12.2017 / 21:24
fonte
0

Isso pode acontecer se você estiver executando um roteador com controle dos pais e não colocar seu pi do framboesa em uma lista "não gerenciada". Para mim, pude ver que o URL estava redirecionando para um domínio circular, gerenciado pelo roteador.

Então, adicionei meu pi à lista não gerenciada e funcionou bem.

    
por brad parks 19.02.2018 / 20:51
fonte
0

Eu resolvi que todos os pacotes não estão sendo instalados executando este comando:

sudo apt-get install PACKAGENAME

Para cada um dos pacotes. Eles agora estão instalados e o erro "Incompatibilidade de soma de hash" desapareceu.

    
por BiggJJ 23.06.2013 / 14:50
fonte

Tags